Subject: Re: [PATCH v3 2/5] dt-bindings: watchdog: apple,wdt: Add t8122 compatible

From: Janne Grunau <[email-masked]>
Date: Mon, 11 May 2026 10:50:28 +0200

On Sun, May 10, 2026 at 08:29:39AM -0700, Guenter Roeck wrote:
> On Thu, May 07, 2026 at 09:33:08AM +0200, Janne Grunau wrote:
> > The watchdog on the Apple silicon t8122 (M3) SoC is compatible with the
> > existing driver. Add "apple,t8122-wdt" as SoC specific compatible under
> > "apple,t8103-wdt" used by the driver.
> 
> '"apple,t8103-wdt" used by the driver' is not true. The watchdog driver
> only supports "apple,wdt".

It slipped my mind that
https://lore.kernel.org/linux-watchdog/[email-masked]/
wasn't picked up yet.

> 
> > 
> > Acked-by: Rob Herring (Arm) <[email-masked]>
> > Reviewed-by: Joshua Peisach <[email-masked]>
> > Reviewed-by: Neal Gompa <[email-masked]>
> > Signed-off-by: Janne Grunau <[email-masked]>
> > ---
> >  Documentation/devicetree/bindings/watchdog/apple,wdt.yaml | 4 +++-
> >  1 file changed, 3 insertions(+), 1 deletion(-)
> > 
> > diff --git a/Documentation/devicetree/bindings/watchdog/apple,wdt.yaml b/Documentation/devicetree/bindings/watchdog/apple,wdt.yaml
> > index 05602678c070..845b5e8b5abc 100644
> > --- a/Documentation/devicetree/bindings/watchdog/apple,wdt.yaml
> > +++ b/Documentation/devicetree/bindings/watchdog/apple,wdt.yaml
> > @@ -16,7 +16,9 @@ properties:
> >    compatible:
> >      oneOf:
> >        - items:
> > -          - const: apple,t6020-wdt
> > +          - enum:
> > +              - apple,t6020-wdt
> > +              - apple,t8122-wdt
> >            - const: apple,t8103-wdt
> >        - items:
> >            - enum:
> 
> I second Sashiko's findings that the driver will fail to bind because it
> only supports "apple,wdt". I would not mind and apply the patch anyway,
> but the statement in the description is just plain wrong and thus
> misleading. Please fix.

I would prefer if the addition of the "apple,t8103-wdt" to the driver is
picked.

Thanks,

Janne